---
title: Remove a member
description: Removes a member from the workspace.
doc_version: 0.1.0-preview
last_updated: 2026-09-14
---

# Remove a member

`DELETE /v1/workspaces/{workspaceId}/members/{memberId}`

Removes a member from the workspace. Requires the admin role. The last admin cannot be removed. memberId cannot be me.

## Authentication

Send `Authorization: Bearer <GRAPHON_API_KEY>`. Read the key from the
GRAPHON_API_KEY environment variable. Never print it.

## Path parameters

- `workspaceId` (string) — The workspace id.
- `memberId` (string) — The membership id.

## Example request

```bash
curl --request DELETE \
  --url "https://api.graphon.ai/v1/workspaces/wspq7ws2np5l8z4/members/memA1b2C3d4E5" \
  --header "Authorization: Bearer $GRAPHON_API_KEY"
```

## CLI

```bash
graphon members remove mem_7Qp2
```

## Sitemap

See the full [sitemap](/sitemap.md) for all pages.
